明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 267|回复: 7

[源码] 点块写名字

[复制链接]
发表于 2020-11-18 23:49 | 显示全部楼层 |阅读模式
(defun c:dkm (/ en_data pt name_block )
(setq en_data (entget (car (entsel "\n选择图块:"))))
(setq pt (getpoint  "\n选择文字基点:"))
(setq name_block (cdr (assoc 2 en_data)))
(entmake (list '(0 . "TEXT") (cons 1 name_block) (cons 10 pt) (cons 40 1500)))
(c:dkm)
)
(prin1)

有时图块多,需要炸掉后重新做块,复制图名用的。我纯新手,水平低,纯分享给和我一起开始学习的朋友,高手不要见笑。

发表于 2020-11-19 08:40 | 显示全部楼层
谢谢楼主分享。
发表于 2020-11-19 18:39 | 显示全部楼层
谢谢楼主分享程序!!!!
 楼主| 发表于 2020-11-19 22:29 | 显示全部楼层
yoyoho 发表于 2020-11-19 18:39
谢谢楼主分享程序!!!!

长老路过,受宠若惊
发表于 2020-11-20 15:19 | 显示全部楼层

谢谢楼主分享。
发表于 2020-11-21 01:20 | 显示全部楼层
Thanks for sharing ^^ But you need to thing about dynamic block, that you can't get block definition name from dxf 2
 楼主| 发表于 2020-11-21 07:44 | 显示全部楼层
ketxu 发表于 2020-11-21 01:20
Thanks for sharing ^^ But you need to thing about dynamic block, that you can't get block definition ...

thanks for your suggest,you're right,are you chinese?
发表于 2020-11-23 08:00 | 显示全部楼层
多谢分享,一起进步
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2020 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2020-12-3 19:02 , Processed in 0.128180 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表